summaryrefslogtreecommitdiff
path: root/tests/test-fflush2.sh
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2008-03-07 03:34:46 +0100
committerBruno Haible <bruno@clisp.org>2008-03-07 03:34:46 +0100
commit679b14d8851a364efdffbdf50d4aa43921762076 (patch)
tree5eaf0786820cc718844be79d3467669022f389d6 /tests/test-fflush2.sh
parentf9e70e3ef802527ebecd9179ca56cd19fe9946b6 (diff)
downloadgnulib-679b14d8851a364efdffbdf50d4aa43921762076.tar.gz
Make fflush after ungetc work on BSD platforms.
Diffstat (limited to 'tests/test-fflush2.sh')
-rwxr-xr-xtests/test-fflush2.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/test-fflush2.sh b/tests/test-fflush2.sh
new file mode 100755
index 0000000000..5c3fc979a6
--- /dev/null
+++ b/tests/test-fflush2.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# Execute the test only with seekable input stream.
+# The behaviour of fflush() on a non-seekable input stream is undefined.
+./test-fflush2${EXEEXT} < "$srcdir/test-fflush2.sh" || exit $?
+#cat "$srcdir/test-fflush2.sh" | ./test-fflush2${EXEEXT} || exit $?
+
+exit 0